#ifndef GeneRunAction_HH
#define GeneRunAction_HH 1

#include <G4UserRunAction.hh>
#include <globals.hh>

class G4String;
class GeneRunActionMessenger;

class GeneRunAction : public G4UserRunAction {
public:
    GeneRunAction();
    ~GeneRunAction();

public:
    void BeginOfRunAction(const G4Run*);
    void EndOfRunAction(const G4Run*);
    inline void SetRunNo(G4String val) { RunNo = val; };
    G4String RunNo;
    GeneRunActionMessenger* pMessenger;
};

#endif
