#ifndef GeneRunActionMessenger_h
#define GeneRunActionMessenger_h 1

#include <G4UImessenger.hh>
#include <globals.hh>

class GeneRunAction;
class G4UIdirectory;
class G4UIcmdWithAString;

class GeneRunActionMessenger : public G4UImessenger {
public:
    GeneRunActionMessenger(GeneRunAction*);
    virtual ~GeneRunActionMessenger();

    virtual void SetNewValue(G4UIcommand*, G4String);

private:
    GeneRunAction* pRunAction;

    G4UIdirectory* RunDir;
    G4UIcmdWithAString* RunNoCmd;
};

#endif
